Brivio API reference
Trip sheets

Get a trip sheet (foaie de parcurs). driver_name needs fleet_drivers:read (scope: fleet:read)

GET
/trip-sheets/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Trip sheet id

Formatuuid

Response Body

OK

application/json
  1. response
data*

A foaie de parcurs (Romanian trip sheet). driver_name is present only when the key also holds fleet_drivers:read; otherwise the property is omitted.

error*null
curl -X GET "https://example.com/trip-sheets/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "vehicle_id": "e57c411b-caf2-4a2e-b2e8-e232824b6ddf",    "performed_at": "2019-08-24T14:15:22Z",    "driver_id": "d13674cc-89e2-4383-beab-46a9e6e4a9b2",    "driver_name": "string",    "route_from": "string",    "route_to": "string",    "purpose": "string",    "odometer_start_km": 0,    "odometer_end_km": 0,    "distance_km": 0,    "fuel_issued_litres": "string",    "notes": "string",    "created_at": "2019-08-24T14:15:22Z"  },  "error": null}